MAKEFLAGS = --no-builtin-rules

ifdef MKLIB_C_ENDPOINT
   $(error Cannot include two endpoint files.  Already included $(MKLIB_C_ENDPOINT))
endif
MKLIB_C_ENDPOINT := StaticLibrary.mk

# ------------------------------------------------------------------
# Stuff common to makefiles that produce static libraries
# ------------------------------------------------------------------

IMAGE_NAME = lib$(PROGRAM_NAME)$(_sll)

MKLIB_C_PATH ?= $(error The 'MKLIB_C_PATH' variable needs to be set)
include $(MKLIB_C_PATH)/Common.mk

LIB_FILE := $(IMAGE_DIR)/$(IMAGE_NAME)

image: $(LIB_FILE)

ARCHIVER ?= $(TOOL_BASE)ar
ARCHIVE_REINDEX ?= $(TOOL_BASE)ranlib

$(LIB_FILE): $(OBJ_FILES)
	# Creating Static Library $(notdir $@)
	$(p1)$(ARCHIVER) rc $@ $^
	$(p1)$(ARCHIVE_REINDEX) $@

