MAKEFLAGS = --no-builtin-rules

ifdef MKLIB_C_ENDPOINT
   $(error Cannot include two endpoint files.  Already included $(MKLIB_C_ENDPOINT))
endif
MKLIB_C_ENDPOINT := SharedLibrary.mk

# ------------------------------------------------------------------
# Stuff common to makefiles that produce static libraries
# ------------------------------------------------------------------

IMAGE_NAME = lib$(PROGRAM_NAME)$(_dll)

PASS_THROUGH_OPTIONS = -fPIC

MKLIB_C_PATH ?= $(error The 'MKLIB_C_PATH' variable needs to be set)
include $(MKLIB_C_PATH)/Common.mk

LIB_FILE := $(IMAGE_DIR)/$(IMAGE_NAME)

image: $(LIB_FILE)

LINKER ?= g++
LINKER_PRE_OPTIONS = -shared $(LINKER_DIRS:%=-L%)
LINKER_POST_OPTIONS = $(LINKER_LIBS:%=-l%) $(LDFLAGS)

$(LIB_FILE): $(OBJ_FILES)
	# Creating Shared Object $(notdir $@)
	$(p1)$(LINKER) $(LINKER_PRE_OPTIONS) -o $@ $^ $(LINKER_POST_OPTIONS)

